Class | REXML::Validation::Optional
In: | rexml/validation/relaxng.rb
Parent: | State

### Methods

expected matches? next

### Public Instance methods

expected()

[Source]

    # File rexml/validation/relaxng.rb, line 279
          def expected
            return [ @prior.expected, @events[0] ].flatten if @current == 0
            return [@events[@current]]
          end

matches?(event)

[Source]

    # File rexml/validation/relaxng.rb, line 274
          def matches?(event)
            @events[@current].matches?(event) ||
            (@current == 0 and @previous[-1].matches?(event))
          end

next( event )

[Source]

    # File rexml/validation/relaxng.rb, line 264
          def next( event )
            if @current == 0
              rv = super
              return rv if rv
              @prior = @previous.pop
              return @prior.next( event )
            end
            super
          end

[Validate]